Subject: [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

From: Daniele Ceccarelli <[email-masked]>
Date: Tue, 10 Mar 2020 15:40:30 +0000

CCAMP,

the IPR declaration collection has been successfully completed and we can
move to the next step.

This starts a 3 weeks working group last call on
draft-ietf-ccamp-wson-yang-23.

The last call ends on Tuesday March 31st. Please send you comments to the
CCAMP mailing list.

All the IPR declarations from authors and contributors have been collected
and can be found in the history of the document.

If interested, please volunteer to be the shepherd of the draft (authors
excluded).

Authors please note that the YANG validation reports 135 ERRORS and IDNITS 7
warnings.

Thanks

Daniele & Fatai

---

From: Dieter Beller <[email-masked]>
Date: Tue, 10 Mar 2020 19:09:19 +0100

Hi Daniele, Fatai, all,

there is a general issue the WG has to address: there are several WG 
drafts defining YANG data models for WDM networks including layer0-types:

https://datatracker.ietf.org/doc/draft-ietf-ccamp-layer0-types/

https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-param-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-optical-impairment-topology-yang/

These YANG models are overlapping in a sense that they are defining 
containers that contain similar data. An example are transponder properties.
Different names and different type definitions are used in these drafts 
for the same transponder property.

My understanding was that layer0-types provides the foundation in terms 
of type definitions and groupings, on which the YANG models in the drafts
listed above are based in order to achieve alignment and consistency 
among them. If all these drafts listed above are progressed separately, I am
afraid that it will result in a mess making the applicability of the 
YANG data models doubtful.

To sort this out, the WG should take the time and align these drafts to 
the largest possible extent which should be beneficial for the 
applicability of
the YANG models.

Thanks,
Dieter

On 10.03.2020 16:40, Daniele Ceccarelli wrote:
>
> CCAMP,
>
> the IPR declaration collection has been successfully completed and we 
> can move to the next step.
>
> This starts a *3 weeks working group last call* on 
> The last call ends on *Tuesday March 31^st *. Please send you comments 
> to the CCAMP mailing list.
>
> All the IPR declarations from authors and contributors have been 
> collected and can be found in the history of the document.
>
> If interested, please volunteer to be the *shepherd* of the draft 
> (authors excluded).
>
> Authors please note that the YANG validation reports 135 ERRORS and 
> IDNITS 7 warnings.
>
> Thanks
>
> Daniele & Fatai
>
>
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp

---

From: Daniele Ceccarelli <[email-masked]>
Date: Mon, 16 Mar 2020 15:19:05 +0000

Hi Dieter,

Good point.

What would your proposal be?

At an high level I would say something like:

Topology impairments free:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
Transponders:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-param-yang/
Impairments aware topology:
https://datatracker.ietf.org/doc/draft-ietf-ccamp-optical-impairment-topolog
y-yang/

Opinions?

Daniele  

From: Dieter Beller <[email-masked]> 
Sent: den 10 mars 2020 19:09
To: Daniele Ceccarelli <[email-masked]>; CCAMP
<[email-masked]>
Subject: Re: [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

Hi Daniele, Fatai, all,

there is a general issue the WG has to address: there are several WG drafts
defining YANG data models for WDM networks including layer0-types:

https://datatracker.ietf.org/doc/draft-ietf-ccamp-wson-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-dwdm-if-param-yang/
https://datatracker.ietf.org/doc/draft-ietf-ccamp-optical-impairment-topolog
y-yang/

These YANG models are overlapping in a sense that they are defining
containers that contain similar data. An example are transponder properties.
Different names and different type definitions are used in these drafts for
the same transponder property.

My understanding was that layer0-types provides the foundation in terms of
type definitions and groupings, on which the YANG models in the drafts
listed above are based in order to achieve alignment and consistency among
them. If all these drafts listed above are progressed separately, I am
afraid that it will result in a mess making the applicability of the YANG
data models doubtful.

To sort this out, the WG should take the time and align these drafts to the
largest possible extent which should be beneficial for the applicability of
the YANG models.

Thanks,
Dieter

CCAMP,

Thanks

Daniele & Fatai

_______________________________________________
CCAMP mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/ccamp

---

From: Italo Busi <[email-masked]>
Date: Sun, 29 Mar 2020 21:08:54 +0000

CCAMP WG and chairs,

I have reviewed the draft and I think that, if we limit its scope to 'spectrum allocation' as discussed in another thread, the document is ready to be sent to IESG and would allow supporting many, if not all, the use cases I have seen being requested and deployed

These are my WG LC comments:

1) Introduction needs to be aligned with the scope

The modeling of resource blocks is out of scope, so it seems that RFC7581 is not covered by this YANG model

OLD

   The YANG
   model described in this document is a WSON technology-specific YANG
   model based on the information model developed in [RFC7446] and the
   two encoding documents [RFC7581] and [RFC7579] that developed
   protocol independent encodings based on [RFC7446].

NEW

   The YANG
   model described in this document is a WSON technology-specific YANG
   model based on the information model developed in [RFC7446] and the
   encoding document [RFC7579].

If the model is updated not to model the transponders, also this paragraph should be updated:

OLD

   [ITU-Tg6982] defines amplified multichannel dense wavelength division
   multiplexing applications with single channel optical interfaces.
   The YANG data model defined in this document refers to the standard
   application mode defined in [ITU-Tg6982].

   <...>

   Additionally, resource block models (e.g., 3R Regeneration) is not
   also in the scope of this document, which will be addressed in a
   separate document.

NEW

   <...>

   Additionally, transponders and resource blocks  (e.g., 3R Regeneration) models are not
   also in the scope of this document.

2) Remove grouping wson-link-attributes since it is an empty grouping:

     augment /nw:networks/nw:network/nt:link/tet:te
               /tet:te-link-attributes:

   grouping wson-link-attributes {
     description
       "Future WSON link attributes extensions";
   }

   augment "/nw:networks/nw:network/nt:link/tet:te"
         + "/tet:te-link-attributes"   {
     when "/nw:networks/nw:network/nw:network-types"
         +"/tet:te-topology/wson:wson-topology" {
        description "This augment is only valid for WSON";
     }
     description "WSON Link augmentation.";
     uses wson-link-attributes;
   }

3) The wson-tp-attributes grouping covers similar capabilities as the otn-tp-attributes grouping in draft-ietf-ccamp-otn-topo-yang-10

It is proposed to rename and move the otn-tp-attributes grouping to the layer1-types module and to re-use it in both the wson-topology and otn-topology modules

     augment /nw:networks/nw:network/nw:node
               /nt:termination-point/tet:te:
       +--rw supported-payload-types* [index]
       |  +--rw index           uint16
       |  +--rw payload-type?   string
       +--rw client-facing?             boolean

   grouping wson-tp-attributes {
     description "wson-tp-attributes";

     list supported-payload-types {
       key "index";
       description
         "Supported payload types of a TP (Termination Point).
          The payload type is defined as the generalized PIDs
          (Payload Identifiers) in GMPLS";
       leaf index {
         type uint16;
         description "payload type index";
       }
       leaf payload-type {
         type string;
         description "the payload type supported by this client TP";
         reference
           "http://www.iana.org/assignments/gmpls-sig-parameters
            /gmpls-sig-parameters.xhtml";
       }
     }
     leaf client-facing {
       type boolean;
       default 'false';
       description
         "Indicates if it is a client-facing TP";
     }
   }

4) The grouping wson-ttp-attributes should either be removed (if we agree on the scope of phase 1) or aligned with other competing models and moved to layer0-types

     augment /nw:networks/nw:network/nw:node/tet:te
               /tet:tunnel-termination-point:
       +--rw supported-operational-modes*
       |       layer0-types:operational-mode
       +--rw configured-operational-modes?
       |       layer0-types:operational-mode
       +--rw supported-fec-types*            identityref
       +--rw supported-termination-types*    identityref
       +--rw supports-bit-stuffing?          boolean
       +--rw is-tunable?                     boolean
       +--rw max-subcarrier-channel-num?     uint8

   augment "/nw:networks/nw:network/nw:node/tet:te"
         + "/tet:tunnel-termination-point" {
     when "/nw:networks/nw:network/nw:network-types"
        +"/tet:te-topology/wson:wson-topology" {
       description "This augment is only valid for WSON";
     }
     description "WSON tunnel termination point augmentation";
     uses wson-ttp-attributes;
   }

Thanks, Italo

Italo Busi
Principal Optical Transport Network Research Engineer
Huawei Technologies Co., Ltd.
Tel : +39 345 4721946
Email : [email-masked]

This e-mail and its attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!

From: Daniele Ceccarelli [mailto:[email-masked]]
Sent: martedì 10 marzo 2020 16:41
To: CCAMP <[email-masked]>
Subject: [CCAMP] WG last call on draft-ietf-ccamp-wson-yang-23

CCAMP,

the IPR declaration collection has been successfully completed and we can move to the next step.

This starts a 3 weeks working group last call on draft-ietf-ccamp-wson-yang-23.
The last call ends on Tuesday March 31st. Please send you comments to the CCAMP mailing list.

All the IPR declarations from authors and contributors have been collected and can be found in the history of the document.
If interested, please volunteer to be the shepherd of the draft (authors excluded).

Authors please note that the YANG validation reports 135 ERRORS and IDNITS 7 warnings.

Thanks

Daniele & Fatai